Bug 1866480 - CVO marks an upgrade as failed when an operator takes more than 10 minutes to rollout
Summary: CVO marks an upgrade as failed when an operator takes more than 10 minutes to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: W. Trevor King
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1862524
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-05 16:33 UTC by Scott Dodson
Modified: 2020-09-08 10:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1862524
Environment:
Last Closed: 2020-09-08 10:54:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-version-operator pull 427 None closed Bug 1866480: pkg/cvo/status: Raise Operator leveling grace-period to 20 minutes 2020-09-08 03:56:29 UTC
Red Hat Product Errata RHBA-2020:3510 None None None 2020-09-08 10:54:35 UTC

Comment 4 Johnny Liu 2020-08-20 10:51:06 UTC
Bug verification is blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1870553

Comment 5 Johnny Liu 2020-08-28 09:17:00 UTC
Set up a 4.5 cluster with 3 masters + 9 workers, trigger upgrade towards 4.5.0-0.nightly-2020-08-28-013825 from 4.4.0-0.nightly-2020-08-27-182935.

Check one time per 5 mins, everything is working well.

08-28 16:05:47 The cluster will be updated to 4.5.0-0.nightly-2020-08-28-013825
08-28 16:05:47 Updating to release image registry.svc.ci.openshift.org/ocp/release:4.5.0-0.nightly-2020-08-28-013825
08-28 16:10:47 Status: Working towards 4.5.0-0.nightly-2020-08-28-013825: 27% complete Progress: True Available: True
08-28 16:15:49 Status: Working towards 4.5.0-0.nightly-2020-08-28-013825: 69% complete Progress: True Available: True
08-28 16:20:49 Status: Working towards 4.5.0-0.nightly-2020-08-28-013825: 78% complete, waiting on operator-lifecycle-manager-packageserver Progress: True Available: True
08-28 16:25:50 Status: Working towards 4.5.0-0.nightly-2020-08-28-013825: 79% complete, waiting on network Progress: True Available: True
08-28 16:30:50 Status: Working towards 4.5.0-0.nightly-2020-08-28-013825: 79% complete Progress: True Available: True

08-28 16:35:52 Status: Working towards 4.5.0-0.nightly-2020-08-28-013825: 84% complete Progress: True Available: True

08-28 16:40:52 Status: Working towards 4.5.0-0.nightly-2020-08-28-013825: 84% complete, waiting on machine-config Progress: True Available: True

08-28 16:45:53 Status: Working towards 4.5.0-0.nightly-2020-08-28-013825: 84% complete Progress: True Available: True

08-28 16:50:53 Status: Working towards 4.5.0-0.nightly-2020-08-28-013825: 84% complete, waiting on machine-config Progress: True Available: True

08-28 16:55:55 Status: Working towards 4.5.0-0.nightly-2020-08-28-013825: 27% complete Progress: True Available: True

08-28 17:00:55 Status: Cluster version is 4.5.0-0.nightly-2020-08-28-013825 Progress: False Available: True

Comment 7 errata-xmlrpc 2020-09-08 10:54:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.8 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3510


Note You need to log in before you can comment on or make changes to this bug.